Package org.eclipse.net4j.util.collection

## Interface MoveableList<E>

- All Superinterfaces:
    `java.util.Collection<E>`, `java.lang.Iterable<E>`, `java.util.List<E>`
  All Known Implementing Classes:
    `MoveableArrayList`

      public interface MoveableList<E>
      extends java.util.List<E>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E` | `move​(int targetIndex, int sourceIndex)` |

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

- - ### Method Detail

    - #### move

          E move​(int targetIndex,
                 int sourceIndex)